# otohttp Example

* The `def` folder holds the Oto definition made up of Go interface types.
* The `generate.sh` file (run with `go generate`) uses the `oto` tool to generate the server and client code from `server.go.plush` and `client.js.plush` templates.
* In `main.go` we implement the `greeterService` following the interface generated by the `oto` tool
* `index.html` is a simple page that uses the generated client to access the service

## Run the example

```bash
go run *.go
```

Open http://localhost:8080

## Exercise

1. Add a new service interface to the `def` package.
1. Run `go generate` to regenerate the server and client code
1. See the generated files `server.gen.go` and `client.gen.js`
1. Call your new service in `index.html`
